View Issue Details

IDProjectCategoryView StatusLast Update
0002859PartDesignBugpublic2017-03-20 09:44
Reporternemesis 
Assigned ToDeepSOIC 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSOSXOS VersionOSX 10.11.6
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0002859: unable to use datum plane as external reference
Descriptionit's impossible to use a Datum plane as external reference within a sketch until the document has been closed and re-opened
Steps To Reproduce1 - Create a new doc
2 - create a datum plane (// to YZ for example)
3 - Create a sketch on XY
4 - try to use datum plane as external reference, it is impossible to click it.
5 - save the file
6 - Close the file
7 - re-open the file
8 - open the sketch.
9 - now you can use the datum plane as external reference.
10 - now you are in bug 0002682
TagsPart Design, planes, sketcher

Relationships

related to 0002682 closedjnxd constraint to external datum plane disappear after saving a file, or re-opening a sketch 
related to 0002501 closedickby Mirror feature don't accept datum plane 
related to 0002941 closedDeepSOIC Part Design NEXT Polar array does not allow to select a datum line as reference 

Activities

2017-01-15 14:01nemesisNew Issue

nemesis

2017-01-15 14:02

reporter   ~0007789

Last edited: 2017-01-15 14:04

View 2 revisions

OS: Mac OS X
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.9641 (Git)
Build type: Release
Branch: (detached from d8afbe5)
Hash: d8afbe563e52281daac5fa63b12ef2e9efc61e9e
Python version: 2.7.13
Qt version: 4.8.7
Coin version: 3.1.3
OCC version: 7.0.0

I also notice that I'm unable to select datum in the 3D view until the document has been saved and re-opened

2017-01-15 14:04nemesisNote Edited: 0007789View Revisions
2017-01-15 14:17Kunda1Steps to Reproduce UpdatedView Revisions
2017-01-15 14:17Kunda1Relationship addedrelated to 0002682

Kunda1

2017-01-15 14:18

manager   ~0007791

Forum thread: http://forum.freecadweb.org/viewtopic.php?f=3&t=17126&p=153532#p153532

nemesis

2017-02-02 21:40

reporter   ~0008181

Last edited: 2017-02-02 21:40

View 2 revisions

indee. you can use the plane a sketch base before saving, but you need to select it in the tree.
then
draw a sketch
close the sketch
try to select the sketch in the 3D view:
you have message in the status bar sayin "selecting this will cause a circular dependency"


OS: Windows 7
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.9841 (Git)
Build type: Release
Branch: master
Hash: fa4b5d29b52b576335897d8b3436f8a847191b2e
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.0.0

2017-02-02 21:40nemesisNote Edited: 0008181View Revisions
2017-02-02 21:41nemesisTag Attached: Part Design
2017-02-02 21:42nemesisTag Attached: planes
2017-02-02 21:42nemesisTag Attached: sketcher

Kunda1

2017-02-02 21:55

manager   ~0008182

@nemesis you'll generate more discussion by adding your note to the thread :)
2017-02-15 05:51kkremitzkiTarget Version => 0.17
2017-03-17 18:45Kunda1Relationship addedrelated to 0002941
2017-03-17 18:46Kunda1Relationship addedrelated to 0002501
2017-03-20 09:42wmayerChangeset attached => FreeCAD master 0d81472f
2017-03-20 09:44wmayerAssigned To => DeepSOIC
2017-03-20 09:44wmayerStatusnew => closed
2017-03-20 09:44wmayerResolutionopen => fixed
2017-03-20 09:44wmayerFixed in Version => 0.17

Related Changesets

FreeCAD: master 0d81472f

2017-03-12 20:01:20

DeepSOIC


Committer: yorik Details Diff
PartDesign: fix non-selectable datum features
mod - src/Mod/PartDesign/Gui/TaskDatumParameters.cpp Diff File

Issue History

Date Modified Username Field Change
2017-01-15 14:01 nemesis New Issue
2017-01-15 14:02 nemesis Note Added: 0007789
2017-01-15 14:04 nemesis Note Edited: 0007789 View Revisions
2017-01-15 14:17 Kunda1 Steps to Reproduce Updated View Revisions
2017-01-15 14:17 Kunda1 Relationship added related to 0002682
2017-01-15 14:18 Kunda1 Note Added: 0007791
2017-02-02 21:40 nemesis Note Added: 0008181
2017-02-02 21:40 nemesis Note Edited: 0008181 View Revisions
2017-02-02 21:41 nemesis Tag Attached: Part Design
2017-02-02 21:42 nemesis Tag Attached: planes
2017-02-02 21:42 nemesis Tag Attached: sketcher
2017-02-02 21:55 Kunda1 Note Added: 0008182
2017-02-15 05:51 kkremitzki Target Version => 0.17
2017-03-17 18:45 Kunda1 Relationship added related to 0002941
2017-03-17 18:46 Kunda1 Relationship added related to 0002501
2017-03-20 09:42 wmayer Changeset attached => FreeCAD master 0d81472f
2017-03-20 09:44 wmayer Assigned To => DeepSOIC
2017-03-20 09:44 wmayer Status new => closed
2017-03-20 09:44 wmayer Resolution open => fixed
2017-03-20 09:44 wmayer Fixed in Version => 0.17